import 'react';

var validateName = function validateName(nameState, fieldName, setNameError, min, max) {
  if (fieldName === void 0) {
    fieldName = 'Name';
  }

  if (nameState == null || undefined || '') {
    setNameError(fieldName + " is required");
    setTimeout(function () {
      setNameError();
    }, 5000);
  } else if (nameState.length < min) {
    setNameError(fieldName + " must be at least " + min + " characters");
    setTimeout(function () {
      setNameError();
    }, 5000);
  } else if (nameState.length > max) {
    setNameError(fieldName + " must be less than " + max + " characters");
    setTimeout(function () {
      setNameError();
    }, 5000);
  } else {
    return true;
  }
};
var validateEmail = function validateEmail(emailState, setEmailError) {
  var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

  if (emailState == null || undefined || '') {
    setEmailError('Email is required');
    setTimeout(function () {
      setEmailError();
    }, 5000);
  } else if (!re.test(emailState.trim())) {
    setEmailError('Enter a valid Email');
    setTimeout(function () {
      setEmailError();
    }, 5000);
  } else {
    return true;
  }
};
var validatePassword = function validatePassword(passwordState, setPasswordError, min, max) {
  if (min === void 0) {
    min = 8;
  }

  if (max === void 0) {
    max = 32;
  }

  if (passwordState == null || undefined || '') {
    setPasswordError('Password is required');
    setTimeout(function () {
      setPasswordError();
    }, 5000);
  } else if (passwordState.length < min) {
    setPasswordError("Password must be at least " + min + " characters");
    setTimeout(function () {
      setPasswordError();
    }, 5000);
  } else if (passwordState.length > max) {
    setPasswordError("Password must be less than " + max + " characters");
  } else if (!/[A-Z]/.test(passwordState)) {
    setPasswordError('Password must contain an Upper case letter');
    setTimeout(function () {
      setPasswordError();
    }, 5000);
  } else if (!/[a-z]/.test(passwordState)) {
    setPasswordError('Password must contain a lower case letter');
    setTimeout(function () {
      setPasswordError();
    }, 5000);
  } else if (!/[0-9]/.test(passwordState)) {
    setPasswordError('Password must contain a number');
    setTimeout(function () {
      setPasswordError();
    }, 5000);
  } else if (!/[●!"#$%&'()*+,\-./:;<=>?@[\\\]^_`{|}~]/.test(passwordState)) {
    setPasswordError('Password must contain a special character');
    setTimeout(function () {
      setPasswordError();
    }, 5000);
  } else {
    return true;
  }
};
function validateConfirmPassword(password1, password2, setConfirmPasswordError) {
  if (password2 == null || undefined || '') {
    setConfirmPasswordError('Please Confirm Password');
    setTimeout(function () {
      setConfirmPasswordError();
    }, 5000);
  } else if ((password1 == null || undefined || '') && (password2 != null || undefined)) {
    setConfirmPasswordError('Please enter password and confirm it ');
    setTimeout(function () {
      setConfirmPasswordError();
    }, 5000);
  } else if (password2 !== password1) {
    setConfirmPasswordError("Password doesn't  match");
    setTimeout(function () {
      setConfirmPasswordError();
    }, 5000);
  } else {
    return true;
  }
}

export { validateConfirmPassword, validateEmail, validateName, validatePassword };
//# sourceMappingURL=index.modern.js.map
